C#
// GET /v1/connected_apps/clients/{client_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
client.ConnectedApp.Clients.Get(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/connected_apps/clients/{client_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &clients.GetParams{
ClientID: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
}
resp, err := client.ConnectedApp.Clients.Get(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/connected_apps/clients/{client_id}
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclients.GetRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetRequest params = new GetRequest();
params.setClientId("connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888");
Object result = StytchB2BClient.getConnectedApp().getClients().get(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/connected_apps/clients/{client_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclients.GetRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.get(
GetRequest(
clientId = "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/connected_apps/clients/{client_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
client.connectedApp.clients.get(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->get([
'client_id' => 'connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888',
]);# GET /v1/connected_apps/clients/{client_id}
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.get(
client_id="connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
)
print(resp)
# frozen_string_literal: true
# GET /v1/connected_apps/clients/{client_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.get(
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888"
)
puts resp// GET /v1/connected_apps/clients/{client_id}
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients::GetRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.get(
GetRequest{
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/connected_apps/clients/{client_id}
curl --request GET \
--url https://test.stytch.com/v1/connected_apps/clients/connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"connected_app": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"creation_method": "<string>",
"id_token_template_content": "<string>",
"client_secret_last_four": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Application Management
Get Connected App
Retrieve details of a specific Connected App by client_id.
GET
/
v1
/
connected_apps
/
clients
/
{client_id}
C#
// GET /v1/connected_apps/clients/{client_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
client.ConnectedApp.Clients.Get(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/connected_apps/clients/{client_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &clients.GetParams{
ClientID: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
}
resp, err := client.ConnectedApp.Clients.Get(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/connected_apps/clients/{client_id}
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclients.GetRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetRequest params = new GetRequest();
params.setClientId("connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888");
Object result = StytchB2BClient.getConnectedApp().getClients().get(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/connected_apps/clients/{client_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclients.GetRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.get(
GetRequest(
clientId = "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/connected_apps/clients/{client_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
client.connectedApp.clients.get(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->get([
'client_id' => 'connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888',
]);# GET /v1/connected_apps/clients/{client_id}
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.get(
client_id="connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
)
print(resp)
# frozen_string_literal: true
# GET /v1/connected_apps/clients/{client_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.get(
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888"
)
puts resp// GET /v1/connected_apps/clients/{client_id}
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients::GetRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.get(
GetRequest{
client_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/connected_apps/clients/{client_id}
curl --request GET \
--url https://test.stytch.com/v1/connected_apps/clients/connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"connected_app": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"creation_method": "<string>",
"id_token_template_content": "<string>",
"client_secret_last_four": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Response
Successful response